Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.data.cursor
Class IncorrectDataTypeException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--oracle.olapi.data.cursor.IncorrectDataTypeException

public class IncorrectDataTypeException
extends java.lang.RuntimeException

Indicates that the data type requested is not the type available or expected. A situation in which this exception is thrown is when an application calls a method that gets the current value from `ValueCursor` and the value is not of the expected data type. For example, if an applications calls the `getCurrentInteger` method and the value at the current position of the `ValueCursor` is not an integer, then this exception is thrown.

See Also:
  `ValueCursor`, Serialized Form

Constructor Summary
`IncorrectDataTypeException()` Creates an `IncorrectDataTypeException`.
`IncorrectDataTypeException(java.lang.String message)` Creates an `IncorrectDataTypeException` with the specified message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IncorrectDataTypeException

    public IncorrectDataTypeException()

  Creates an `IncorrectDataTypeException`.

### IncorrectDataTypeException

    public IncorrectDataTypeException(java.lang.String message)

  Creates an `IncorrectDataTypeException` with the specified message.
  Parameters:
    `message` - The message to associate with the exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.